> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1mail



## OpenAPI

````yaml https://saas.pads365.com/rdx/nds.services.email//swagger/v1/swagger.json post /api/v1/mail
openapi: 3.0.0
info:
  title: nds.services.email
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/nds.services.email/
security: []
paths:
  /api/v1/mail:
    post:
      tags:
        - Mailing
      operationId: Mailing_SendMail
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendMailRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendMailResult'
components:
  schemas:
    SendMailRequest:
      type: object
      additionalProperties: false
      properties:
        Message:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/EmailMessage'
        Domain:
          type: string
          nullable: true
    SendMailResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            SendResult:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/SendResult'
    EmailMessage:
      type: object
      additionalProperties: false
      required:
        - Subject
        - Content
      properties:
        To:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Address'
        CC:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Address'
        BCC:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Address'
        Subject:
          type: string
          minLength: 2
        Content:
          type: string
          minLength: 1
        From:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/Address'
        Attachments:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Attachment'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    SendResult:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        TimeStamp:
          type: string
          format: date-time
    Address:
      type: object
      additionalProperties: false
      properties:
        Email:
          type: string
          nullable: true
        Name:
          type: string
          nullable: true
    Attachment:
      type: object
      additionalProperties: false
      required:
        - Name
      properties:
        Data:
          type: string
          format: byte
          nullable: true
        Type:
          $ref: '#/components/schemas/StorageType'
        Name:
          type: string
          minLength: 1
        ContentType:
          type: string
          nullable: true
        ContentId:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    StorageType:
      type: integer
      description: ''
      x-enumNames:
        - Binary
      enum:
        - 0

````